Redmine - Defect #13313

(undefined method "closed_on=' for #<Issue:0xb432a6f4>)
2013-02-28 07:35 - kk kk

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Feeds Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

Completed 200 OK in 495ms (Views: 280.9ms | ActiveRecord: 101.0ms)

Started PUT "/projects/xxx/issues/update_form.js?id=19" for 10.0.0.1 at 2013-02-28 14:26:55 +0800

Processing by IssuesController#update_form as JS

Parameters: {"utf8"=>"l", "authenticity token"=>"xxxxxx", "issue"=>{"is_private"=>"0", "project_id"=>"1", "tracker_id"=>"1",
"subject"=>"xxx", "description"=>"", "status_id"=>"3", "priority_id"=>"5", "assigned_to_id"=>"6", "parent_issue_id"=>"",
"start_date"=>"2013-02-05", "due_date"=>"2013-02-25", "estimated_hours"=>"", "done_ratio"=>"100", "notes"=>"",
"private_notes"=>"0", "lock_version"=>"3"}, "time_entry"=>{"hours"=>"", "activity_id"=>
"id"=>"19", "project_id"=>"xxx"}

Current user: admin (id=1)

Rendered issues/_form_custom_fields.html.erb (7.0ms)

Rendered issues/_attributes.html.erb (53.0ms)

Rendered issues/_form.html.erb (63.7ms)

Rendered issues/update_form.js.erb (65.9ms)

Completed 200 OK in 140ms (Views: 49.9ms | ActiveRecord: 38.8ms)

Started PUT "/issues/19" for 10.0.0.1 at 2013-02-28 14:27:01 +0800

Processing by IssuesController#update as HTML

Parameters: {"utf8"=>"L", "authenticity_token"=>"xxxxxx", "issue"=>{"is_private"=>"0", "project_id"=>"1", "tracker_id"=>"1",
"subject"=>"xxx", "description"=>"", "status_id"=>"3", "priority_id"=>"5", "assigned_to_id"=>"6", "parent_issue_id"=>"",
"start_date"=>"2013-02-05", "due_date"=>"2013-02-25", "estimated_hours"=>"", "done_ratio"=>"100", "notes"=>"",
"private_notes"=>"0", "lock_version"=>"3"}, "time_entry"=>{"hours"=>"", "activity_id"=>"", "comments"=>
"commit"=>"0{", "id"=>"19"}

Current user: admin (id=1)

Completed 500 Internal Server Error in 158ms

, "comments"=>

NoMethodError (undefined method “closed_on=' for #<Issue:0xb432a6f4>):
app/models/issue.rb:1340:in "update_closed_on'
app/models/issue.rb:159:in “create_or_update'

app/models/issue.rb:983:in “block in save_issue_with_child_records'
app/models/issue.rb:970:in “save_issue_with_child_records'
app/controllers/issues_controller.rb:179:in “update’

History

#1 - 2013-02-28 08:55 - Etienne Massip
- Status changed from New to Closed

- Resolution set to Invalid

You forgot DB migration: source:/trunk/db/migrate/20130215111127_add_issues_closed_on.rb =)
, "last_journal_id"=>"34",

, "last_journal_id"=>"34",



https://www.redmine.org/projects/redmine/repository/svn/entry/trunk/db/migrate/20130215111127_add_issues_closed_on.rb
http://www.tcpdf.org

